var Cell = require('frp').cell;

exports.key = function(code) {

  if (typeof(code) == 'string')
    code = code.toUpperCase().charCodeAt(0);

  var down = false;
  var r = Cell();

  window.addEventListener('keydown', function(e) {
    if (e.keyCode === code) {
      if (!down) {
        down = true;
        r.set(true);
      }
    }
  });

  window.addEventListener('keyup', function(e) {
    if (e.keyCode === code) {
      down = false;
      r.set(false);
    }
  });

  return r.signal;
};
