var _ = require('lodash');
var proutines = require('proutines');


module.exports = function(ng) {

  var sys = {};

  var nodes = {};

  sys.set = function(id, script) {
    nodes[id] = script;
  };

  sys.update = function(dt) {

    ng.systems.reaper.cleanup(nodes);

    _.forEach(nodes, function(script, id) {
      if (!script.done)
        script.resume(dt);
    });
  };

  return sys;
};
