var p2 = require('p2');

var materials = module.exports = {
  player: new p2.Material(),
  foot: new p2.Material(),
  env: new p2.Material(),
};

materials.playerEnv = new p2.ContactMaterial(
  materials.foot,
  materials.env,
  {
    friction: 12,
    restitution: 0
  }
);

materials.envEnv = new p2.ContactMaterial(
  materials.env,
  materials.env,
  {
    friction: 4,
    restitution: .3
  }
);
