var T = require('../transform');

module.exports = function(ng) {

  let sys = {};

  sys.nodes = {};

  sys.getTransform = function(id) {
    return sys.nodes[id] || T.identity;
  };

  sys.setTransform = function(id, tr) {
    sys.nodes[id] = tr;
  };

  sys.getPos = function(id) {
    return sys.getTransform(id).pos;
  };

  sys.setPos = function(id, pos) {
    var tr = sys.getTransform(id);
    sys.setTransform(id, T.copy(tr, {pos: pos}));
  };

  sys.update = function(dt) {
    ng.systems.reaper.cleanup(sys.nodes);
  };

  return sys;

};

